<?php

namespace Modules\Newsletter\Interfaces;

use Illuminate\Http\Request;
use Modules\Newsletter\Models\Newsletter;

interface NewsletterRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Newsletter $newsletter);
    public function save(Request $request, ?Newsletter $newsletter): Newsletter;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
